I bought a MacPro in APRIL 2008. Will I be able to install this card in that computer?

  • Asked by Robert B from Oak Park
  • Nov 5, 2010
NVIDIA Quadro 4000 for Mac

NVIDIA Quadro 4000 for Mac

Product No Longer Available

2 Answers from the Community

  • Best Answer:

    The PNY product page for this card says it requires Mac Pro 3,1 or 4,1 or 5,1. These are basically the 2008, 2009 and 2010 models. A Mac Pro bought new in April 2008 is probably the 3,1 or 2008 model, but to be sure check the hardware section of the System Profiler to make sure you are not using a 2007 model (2,1).

    • Answered by William S from Chipping Norton
    • Nov 19, 2010
  • If the machine you bought at that time was one of the 2008 models, then yes you should be able to install and use the card. It requires a machine with 64-bit EFI (which the 2008, 2009, and 2010 models have), as does the older GTX285 and Quadro FX 4800 cards that came before it.

    • Answered by Trilo B from San Francisco
    • Nov 9, 2010